CREATE TABLE tsep_config (
  idconfig INTEGER(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  formfieldname VARCHAR(50) NOT NULL,
  formfieldvalue VARCHAR(255) NULL,
  formfielddescription VARCHAR(255) NOT NULL,
  formfieldhelp VARCHAR(255) NULL,
  PRIMARY KEY(idconfig),
  UNIQUE INDEX tsep_config_index1380(formfieldname)
)
TYPE=InnoDB;

CREATE TABLE tsep_internal (
  idinternal INTEGER(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  description VARCHAR(250) NOT NULL,
  stringvalue VARCHAR(250) NULL,
  numericvalue FLOAT NULL,
  PRIMARY KEY(idinternal),
  UNIQUE INDEX tsep_internal_combi(description, numericvalue),
  UNIQUE INDEX tsep_internal_combi2(description, stringvalue)
)
TYPE=InnoDB;

CREATE TABLE tsep_log (
  idlog INTEGER(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  typeoflog INTEGER(10) UNSIGNED NOT NULL,
  logstring VARCHAR(255) NOT NULL,
  timeofentry VARCHAR(15) NULL,
  ip VARCHAR(15) NULL,
  PRIMARY KEY(idlog)
)
TYPE=InnoDB;

CREATE TABLE tsep_search (
  id INTEGER(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  page_number INTEGER(4) NULL,
  page_title VARCHAR(200) NULL,
  page_url VARCHAR(200) NULL,
  page_file_size VARCHAR(10) NULL,
  indexed_words TEXT NULL,
  PRIMARY KEY(id),
  INDEX tsep_search_index1602(indexed_words(255))
)
TYPE=InnoDB;

CREATE TABLE tsep_stopwords (
  idstopwords INTEGER(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  stopword VARCHAR(50) NOT NULL,
  PRIMARY KEY(idstopwords),
  UNIQUE INDEX tsep_stopwords_stopword(stopword)
)
TYPE=InnoDB;

